wombat
======

wombat is a static site generator that combines the concepts of ordinary pages, blogs and image galleries. It compiles
html pages from html fragments and markdown files according to a template.

The fragments are assumed to be in 'stage0', results will appear in 'stage2'. Pages need a description header:

```
---
title: Foobar
description: This describes foobar
---
```

Blog posts (located in stage0/blog/) have a similar header with values for title, date and categories.

Normal pages are created by hand, new blog posts via "wombat post".


build
=====

You'll need go1.11+ with module support. Check out the repository and run 'go build wombat.go'.

quick start
===========

Put the executable somewhere in your path. Create a folder for your website, then...

```
> cd YOUR_FOLDER
> wombat init
Initializing YOUR_FOLDER
> wombat gen
Serving stage2 at http://127.0.0.1:8000 ...
Use Ctrl+C to exit
(This is not a production web server, don't get any funny ideas)
```

... and visit http://127.0.0.1:8000 in your browser.



final note
==========

If you want to buy me a beer, just send inconspicuous envelopes.
