package initer

var defaultStyle string = `body {
    font-family: Arial,Helvetica,sans-serif;
    font-size : 12pt;
    max-width: 750px;
    margin-left: auto;
    margin-right: auto;
    background-color : black;
    color: #E8E8E8;
    text-align:justify;
    padding-left: 1em;
    padding-right: 1em;
}

a {
    color : #0D0;
    text-decoration: none;
}
a:hover {
    color : red;
}
a.linktopost {
    color: #E8E8E8;
    text-decoration: none;
}
a.categoryListing {
    color: #E8E8E8;
}
img {
    display:block;
    max-width: 100%;
    margin-left: auto;
    margin-right: auto;
}
img.gallery {
    display: unset;
    max-width: unset;
    margin-left: unset;
    margin-right: unset;
}
div.blogpost {
    padding-bottom: 50px;
}
div.navigation {
    padding-bottom: 0.5em;
}
blockquote {
    margin-left: 1em;
    margin-right: 0;
    padding-left: 1em;
    border-left: 2px solid;
}
video {
    max-width: 50%;
}
div.gallery {
    text-align: left;
}
pre {
    overflow: auto;
}
h1, h2, h3, h4, h5, h6 {
    text-align: left;
}
th {
    padding-right: .5em;
}
td {
    padding-right: .5em;
}
`

/******************************************************************************/

var bsStarterStyle string = `body {
  padding-top: 5rem;
}
.starter-template {
  padding: 3rem 1.5rem;
  text-align: justify;
}
`
